<?php

/**
 * This file is part of OPUS. The software OPUS has been originally developed
 * at the University of Stuttgart with funding from the German Research Net,
 * the Federal Department of Higher Education and Research and the Ministry
 * of Science, Research and the Arts of the State of Baden-Wuerttemberg.
 *
 * OPUS 4 is a complete rewrite of the original OPUS software and was developed
 * by the Stuttgart University Library, the Library Service Center
 * Baden-Wuerttemberg, the North Rhine-Westphalian Library Service Center,
 * the Cooperative Library Network Berlin-Brandenburg, the Saarland University
 * and State Library, the Saxon State Library - Dresden State and University
 * Library, the Bielefeld University Library and the University Library of
 * Hamburg University of Technology with funding from the German Research
 * Foundation and the European Regional Development Fund.
 *
 * LICENCE
 * OPUS is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the Licence, or any later version.
 * OPUS is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License 
 * along with OPUS; if not, write to the Free Software Foundation, Inc., 51 
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * @category    Application
 * @author      Thoralf Klein <thoralf.klein@zib.de>
 * @copyright   Copyright (c) 2010, OPUS 4 development team
 * @license     http://www.gnu.org/licenses/gpl.html General Public License
 * @version     $Id: opus-dump-document-xml.php 9015 2011-09-15 16:01:23Z tklein $
 */

// Bootstrapping
require_once dirname(__FILE__) . '/common/bootstrap.php';

// Remove first argument
array_shift($argv);

// Dump given documents
error_log("dumping document(s): " . implode(", ", $argv));

foreach ($argv AS $docId) {
   error_log("<!-- dumping document-id $docId: -->");

   $d = new Opus_Document($docId);

   $xmlModel = new Opus_Model_Xml();
   $xmlModel->setModel($d);
   $xmlModel->excludeEmptyFields();
   $xmlModel->setStrategy(new Opus_Model_Xml_Version1);
   // $xmlModel->setXmlCache(new Opus_Model_Xml_Cache);

   $d_xml = $xmlModel->getDomDocument();
   $d_xml->formatOutput = true;
   echo $d_xml->saveXml();
}
